Update automation
curl --request PATCH \
--url https://api.qa.tech/v1/automations/{automationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"isEnabled": true,
"trigger": {
"type": "schedule",
"cron": "<string>",
"timezone": "<string>",
"once": true
},
"action": {
"type": "chat",
"prompt": "<string>"
},
"projectShortId": "<string>"
}
'import requests
url = "https://api.qa.tech/v1/automations/{automationId}"
payload = {
"name": "<string>",
"description": "<string>",
"isEnabled": True,
"trigger": {
"type": "schedule",
"cron": "<string>",
"timezone": "<string>",
"once": True
},
"action": {
"type": "chat",
"prompt": "<string>"
},
"projectShortId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
isEnabled: true,
trigger: {type: 'schedule', cron: '<string>', timezone: '<string>', once: true},
action: {type: 'chat', prompt: '<string>'},
projectShortId: '<string>'
})
};
fetch('https://api.qa.tech/v1/automations/{automationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.tech/v1/automations/{automationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'isEnabled' => true,
'trigger' => [
'type' => 'schedule',
'cron' => '<string>',
'timezone' => '<string>',
'once' => true
],
'action' => [
'type' => 'chat',
'prompt' => '<string>'
],
'projectShortId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qa.tech/v1/automations/{automationId}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"isEnabled\": true,\n \"trigger\": {\n \"type\": \"schedule\",\n \"cron\": \"<string>\",\n \"timezone\": \"<string>\",\n \"once\": true\n },\n \"action\": {\n \"type\": \"chat\",\n \"prompt\": \"<string>\"\n },\n \"projectShortId\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.qa.tech/v1/automations/{automationId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"isEnabled\": true,\n \"trigger\": {\n \"type\": \"schedule\",\n \"cron\": \"<string>\",\n \"timezone\": \"<string>\",\n \"once\": true\n },\n \"action\": {\n \"type\": \"chat\",\n \"prompt\": \"<string>\"\n },\n \"projectShortId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qa.tech/v1/automations/{automationId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"isEnabled\": true,\n \"trigger\": {\n \"type\": \"schedule\",\n \"cron\": \"<string>\",\n \"timezone\": \"<string>\",\n \"once\": true\n },\n \"action\": {\n \"type\": \"chat\",\n \"prompt\": \"<string>\"\n },\n \"projectShortId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"automation": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"isEnabled": true,
"trigger": {
"type": "schedule",
"cron": "<string>",
"timezone": "<string>",
"once": true
},
"action": {
"type": "chat",
"prompt": "<string>"
},
"lastTriggeredAt": "<string>",
"nextRunAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}Automations
Update automation
Update an automation’s name, description, enabled state, trigger or action. trigger and action replace the stored value as a whole. Set isEnabled to pause or resume it.
PATCH
/
v1
/
automations
/
{automationId}
Update automation
curl --request PATCH \
--url https://api.qa.tech/v1/automations/{automationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"isEnabled": true,
"trigger": {
"type": "schedule",
"cron": "<string>",
"timezone": "<string>",
"once": true
},
"action": {
"type": "chat",
"prompt": "<string>"
},
"projectShortId": "<string>"
}
'import requests
url = "https://api.qa.tech/v1/automations/{automationId}"
payload = {
"name": "<string>",
"description": "<string>",
"isEnabled": True,
"trigger": {
"type": "schedule",
"cron": "<string>",
"timezone": "<string>",
"once": True
},
"action": {
"type": "chat",
"prompt": "<string>"
},
"projectShortId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
isEnabled: true,
trigger: {type: 'schedule', cron: '<string>', timezone: '<string>', once: true},
action: {type: 'chat', prompt: '<string>'},
projectShortId: '<string>'
})
};
fetch('https://api.qa.tech/v1/automations/{automationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.tech/v1/automations/{automationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'isEnabled' => true,
'trigger' => [
'type' => 'schedule',
'cron' => '<string>',
'timezone' => '<string>',
'once' => true
],
'action' => [
'type' => 'chat',
'prompt' => '<string>'
],
'projectShortId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qa.tech/v1/automations/{automationId}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"isEnabled\": true,\n \"trigger\": {\n \"type\": \"schedule\",\n \"cron\": \"<string>\",\n \"timezone\": \"<string>\",\n \"once\": true\n },\n \"action\": {\n \"type\": \"chat\",\n \"prompt\": \"<string>\"\n },\n \"projectShortId\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.qa.tech/v1/automations/{automationId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"isEnabled\": true,\n \"trigger\": {\n \"type\": \"schedule\",\n \"cron\": \"<string>\",\n \"timezone\": \"<string>\",\n \"once\": true\n },\n \"action\": {\n \"type\": \"chat\",\n \"prompt\": \"<string>\"\n },\n \"projectShortId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qa.tech/v1/automations/{automationId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"isEnabled\": true,\n \"trigger\": {\n \"type\": \"schedule\",\n \"cron\": \"<string>\",\n \"timezone\": \"<string>\",\n \"once\": true\n },\n \"action\": {\n \"type\": \"chat\",\n \"prompt\": \"<string>\"\n },\n \"projectShortId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"automation": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"isEnabled": true,
"trigger": {
"type": "schedule",
"cron": "<string>",
"timezone": "<string>",
"once": true
},
"action": {
"type": "chat",
"prompt": "<string>"
},
"lastTriggeredAt": "<string>",
"nextRunAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}Path Parameters
Body
application/json
Required string length:
1 - 120Set to null to clear the description
Maximum string length:
500Re-enabling a schedule automation restarts it from the next upcoming tick.
Replaces the whole trigger
- Option 1
- Option 2
Show child attributes
Show child attributes
Replaces the whole action
- Option 1
- Option 2
Show child attributes
Show child attributes
Target a specific project by its prefixed short ID (proj-slug_shortId or proj_shortId), as returned by the projects API. Required for organization-scoped API keys; project-scoped keys may only pass their own project's short ID.
Pattern:
^proj(-.+_.+|_.+)$Was this page helpful?